Subject: Re: [PATCH v2 2/2] ARM: dts: imx6q-tbs2910: Add an mdio node

From: Shawn Guo <[email-masked]>
Date: Mon, 13 Jul 2020 09:18:10 +0800

On Thu, Jun 25, 2020 at 06:29:25PM +0200, Soeren Moch wrote:
> Hi Fabio,
> 
> On 25.06.20 13:18, Fabio Estevam wrote:
> > imx6q-tbs2910 has an Atheros AR8035 Ethernet PHY at address 4.
> >
> > The AR8035 provides a 125MHz clock to the ENET_REF_CLK i.MX6 pin.
> >
> > Improve the Ethernet representation by adding an mdio node with such
> > information.
> >
> > This fixes an Ethernet regression in U-Boot as U-Boot AR803X driver now
> > expects the 'qca,clk-out-frequency' property to be passed via
> > device tree.
> >
> > Signed-off-by: Fabio Estevam <[email-masked]>
> Due to my experience Shawn likes the properties sorted alphabetically,
> with some exceptions.

Oh, it would be good to have properties sorted somehow, but I'm not
enforcing that.  What I like to sort alphabetically is those labeling
nodes.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel